:root {
  --primary: #A95E39;   /* akcent główny */
  --secondary: #509683; /* hover/uzupełnienie */
  --text: #333333;      /* tekst */
  --bg: #FAFAFA;        /* tło */
   --kol-white:#FFFFFF;
}

.burger-icon > span {

	background-color: #A95E39;

}
.offcanvas-menu .offcanvas-inner ul.menu > li a:hover, .offcanvas-menu .offcanvas-inner ul.menu > li a:focus, .offcanvas-menu .offcanvas-inner ul.menu > li span:hover, .offcanvas-menu .offcanvas-inner ul.menu > li span:focus {
	color: #A95E39;
}

.sppb-panel-modern > .sppb-panel-heading {
	padding: 17px 30px 17px 15px;
	background: var(--primary);
	color: var(--kol-white);
}


h1 { font-size: 80px !important; }
h2 { font-size: 54px !important; }
h3 { font-size: 42px !important; }
h4 { font-size: 36px !important; }
h5 { font-size: 24px !important; }
h6 { font-size: 20px !important; }

@media (max-width: 1400px) {
  h1 { font-size: 64px !important; }
  h2 { font-size: 52px !important; }
  h3 { font-size: 40px !important; }
  h4 { font-size: 28px !important; }
  h5 { font-size: 22px !important; }
  h6 { font-size: 18px !important; }
}

@media (max-width: 1200px) {
  h1 { font-size: 52px !important; }
  h2 { font-size: 42px !important; }
  h3 { font-size: 34px !important; }
  h4 { font-size: 26px !important; }
  h5 { font-size: 20px !important; }
  h6 { font-size: 16px !important; }
}

@media (max-width: 992px) {
  h1 { font-size: 42px !important; }
  h2 { font-size: 34px !important; }
  h3 { font-size: 28px !important; }
  h4 { font-size: 22px !important; }
  h5 { font-size: 18px !important; }
  h6 { font-size: 15px !important; }
}

@media (max-width: 768px) {
  h1 { font-size: 32px !important; }
  h2 { font-size: 26px !important; }
  h3 { font-size: 22px !important; }
  h4 { font-size: 18px !important; }
  h5 { font-size: 16px !important; }
  h6 { font-size: 14px !important; }
}

@media (max-width: 576px) {
  h1 { font-size: 26px !important; }
  h2 { font-size: 22px !important; }
  h3 { font-size: 20px !important; }
  h4 { font-size: 16px !important; }
  h5 { font-size: 14px !important; }
  h6 { font-size: 12px !important; }
}


/* Ogólne */
body {
  background: var(--bg);
  color: var(--text);
}
a { color: var(--primary); }
a:hover, a:focus, a:active { color: var(--secondary); }

/* Przyciski */
.btn-primary, .sppb-btn-primary {
  background-color: var(--primary)!important; 
  border-color: var(--primary) !important; 
  color: #fff;
  text-transform: uppercase !important;
}
.btn-primary:hover, .sppb-btn-primary:hover {
  background-color: var(--secondary);
  border-color: var(--secondary);
}

/* Pasek górny i nagłówek */
#sp-top-bar, #sp-header {
  background: var(--bg);
  color: #A95E39;
}
#sp-top-bar a, #sp-header a { color: #A95E39; }
#sp-top-bar a:hover, #sp-header a:hover { color: var(--primary); }

/* Menu główne */
.sp-megamenu-parent > li > a {
  color: #A95E39;
}
.sp-megamenu-parent > li:hover > a,
.sp-megamenu-parent > li.active > a,
.sp-megamenu-parent > li.active:hover > a {
  color: var(--secondary);
}

#sp-header .sp-megamenu-parent > li > a {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  text-transform: uppercase;
}


/* Menu rozwijane (dropdown) */
.sp-megamenu-parent .sp-dropdown .sp-dropdown-inner {
  background: var(--bg);
}
.sp-megamenu-parent .sp-dropdown li.sp-menu-item > a {
  color: var(--text);
}
.sp-megamenu-parent .sp-dropdown li.sp-menu-item > a:hover,
.sp-megamenu-parent .sp-dropdown li.sp-menu-item.active > a {
  color: var(--primary);
}

/* Menu mobilne (offcanvas) */
.offcanvas-menu {
  background-color: var(--bg);
  color: var(--text);
}
.offcanvas-menu .offcanvas-inner a { color: var(--text); }
.offcanvas-menu .offcanvas-inner a:hover,
.offcanvas-menu .offcanvas-inner a:focus {
  color: var(--primary);
}
#sp-header .sp-megamenu-parent > li > a,
.offcanvas-menu li a {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  text-transform: uppercase;
}



#sp-header .logo a {
  text-transform: uppercase;
}

/* Stopka górna i dolna */
#sp-bottom, #sp-footer {
  background: var(--primary);
  color: #fff;
}
#sp-bottom a, #sp-footer a { color: #fff; }
#sp-bottom a:hover, #sp-footer a:hover { color: var(--secondary); }

/* Paginacja */
.pagination > li > a,
.pagination > li > span {
  color: var(--text);
}
.pagination > li > a:hover,
.pagination > li > span:hover {
  color: var(--secondary);
}
.pagination > .active > a,
.pagination > .active > span {
  background-color: var(--primary);
  border-color: var(--primary);
  color: #fff;
}
.pagination > .active > a:hover,
.pagination > .active > span:hover {
  background-color: var(--secondary);
  border-color: var(--secondary);
}

h1, h2, h3, h4, h5, h6 { 
  font-family: 'Montserrat', sans-serif !important; 
  font-weight: 700 !important; 
}
body { 
  font-family: 'Open Sans', sans-serif !important; 
  font-weight: 400 !important; 
}
.sppb-addon-text-block .sppb-addon-content {
	font-family: 'Open Sans', sans-serif  !important; 
	  font-weight: 400 !important; 
}
.sppb-panel-custom .sppb-panel-heading .sppb-panel-title {
	font-family: 'Montserrat', sans-serif !important; 
	font-weight: 400;
	font-size: 20px;
	line-height: 32px;
}

h2, h3, h5, h6 {
  color: var(--primary) !important;
}

.table thead th {
  background-color: var(--primary);
  color: var(--bg);
}
.table {
  --bs-table-bg: #fff;
  --bs-table-striped-bg: #f2f2f2;
}


.tabela-sticky td:first-child,
.tabela-sticky th:first-child {
  position: sticky;
  left: 0;
  z-index: 2;
}
.tabela-sticky th:first-child {
  z-index: 3; /* nagłówek ponad komórkami */
}

@keyframes pulse {
  0% { transform: scale(1); }
  50% { transform: scale(1.10); }
  100% { transform: scale(1); }
}

.btn-primary,
.sppb-btn-primary {
  animation: pulse 2.5s infinite;
}
.btn-secondary,
.sppb-btn-secondary {
  animation: pulse 2.5s infinite;
}

/* =========================
   Efekt tilt na obrazkach Single Image
========================= */
.sppb-addon-single-image-container img {
  transition: transform 0.2s ease-out;
  transform-style: preserve-3d;
  border-radius: 16px !important;
}
.sppb-addon-single-image-container img:hover {
  transform: perspective(800px) rotateX(3deg) rotateY(3deg);
}
/* Wyłączenie efektu tilt na telefonach */
@media (max-width: 767px) {
  .sppb-addon-single-image-container img:hover {
    transform: none !important;
  }
}



@media (max-width: 767px) { img { margin: 10px 0 !important; } }
